<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgVoltageLimitViolationTransferSchemeDetailMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.core.bizms.modle.po.voltageLimitViolation.FhzgVoltageLimitViolationTransferSchemeDetail">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="schemeId" column="scheme_id" jdbcType="BIGINT"/>
            <result property="statusTag" column="status_tag" jdbcType="TINYINT"/>
            <result property="lineId" column="line_id" jdbcType="VARCHAR"/>
            <result property="lineName" column="line_name" jdbcType="VARCHAR"/>
            <result property="avgLoadRate" column="avg_load_rate" jdbcType="VARCHAR"/>
            <result property="maxLoadRate" column="max_load_rate" jdbcType="VARCHAR"/>
            <result property="voltIndex" column="volt_index" jdbcType="VARCHAR"/>
            <result property="overVoltageIndex" column="over_voltage_index" jdbcType="VARCHAR"/>
            <result property="underVoltageIndex" column="under_voltage_index" jdbcType="VARCHAR"/>
            <result property="overVoltageTime" column="over_voltage_time" jdbcType="VARCHAR"/>
            <result property="underVoltageTime" column="under_voltage_time" jdbcType="VARCHAR"/>
            <result property="underVoltageLineNum" column="under_voltage_line_num" jdbcType="INTEGER"/>
            <result property="underVoltageLineCount" column="under_voltage_line_count" jdbcType="INTEGER"/>
            <result property="underVoltageTransformerNum" column="under_voltage_transformer_num" jdbcType="INTEGER"/>
            <result property="underVoltageTransformerCount" column="under_voltage_transformer_count" jdbcType="INTEGER"/>
            <result property="underVoltageMvCustomerNum" column="under_voltage_mv_customer_num" jdbcType="INTEGER"/>
            <result property="underVoltageMvCustomerCount" column="under_voltage_mv_customer_count" jdbcType="INTEGER"/>
            <result property="underVoltageLvCustomerNum" column="under_voltage_lv_customer_num" jdbcType="INTEGER"/>
            <result property="underVoltageLvCustomerCount" column="under_voltage_lv_customer_count" jdbcType="INTEGER"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="creator" column="creator" jdbcType="VARCHAR"/>
            <result property="lastTime" column="last_time" jdbcType="TIMESTAMP"/>
            <result property="lastEditor" column="last_editor" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,scheme_id,status_tag,
        line_id,line_name,avg_load_rate,
        max_load_rate,volt_index,over_voltage_index,
        under_voltage_index,over_voltage_time,under_voltage_time,
        under_voltage_line_num,under_voltage_line_count,under_voltage_transformer_num,
        under_voltage_transformer_count,under_voltage_mv_customer_num,under_voltage_mv_customer_count,
        under_voltage_lv_customer_num,under_voltage_lv_customer_count,create_time,
        creator,last_time,last_editor
    </sql>
</mapper>
